> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lead.bank/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Incoming Wire Return

> Simulate an incoming Wire Return.



## OpenAPI

````yaml POST /v1/simulate/wires/{wire_id}/incoming_return
openapi: 3.0.1
info:
  title: Lead Bank
  description: Lead Bank's APIs
  version: v1.0
servers:
  - url: https://api.sandbox.lead.bank
  - url: https://api.lead.bank
security:
  - bearerAuth: []
tags:
  - name: ACH
  - name: Account Number
  - name: OAuth
  - name: Events
  - name: Instant Payments
  - name: Lending
  - name: Simulation
  - name: Internal Transfer
  - name: Disbursement
  - name: Entity
  - name: Wire
  - name: Originator
  - name: Funding
  - name: Balances
  - name: Compliance
  - name: UserAccount
  - name: Blockchain Payment
paths:
  /v1/simulate/wires/{wire_id}/incoming_return:
    post:
      tags:
        - Simulation
      summary: Simulate Incoming Wire Return
      description: Simulate an incoming Wire Return.
      operationId: simulate-incoming-wire-return
      parameters:
        - name: wire_id
          description: ID of the Wire object you want to return.
          example: wire_xyz001
          in: path
          required: true
          schema:
            type: string
            pattern: ^wire_\w+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - return_code
              properties:
                amount:
                  $ref: '#/components/schemas/WireAmount'
                  description: >-
                    The amount to be returned in USD. Amount of the wire should
                    be in currency's minor units.
                return_code:
                  $ref: '#/components/schemas/WireReturnCode'
                return_additional_information:
                  type: string
                  description: >-
                    Additional details about why the wire is being returned that
                    will be included with the returned wire.
                  minLength: 1
                  maxLength: 105
                  pattern: >-
                    ^[
                    \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*[\w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]][
                    \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*$
      responses:
        '200':
          description: Wire return object created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulateResponse'
        '400':
          description: Your request parameters did not validate.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: wire_id passed in is not a valid wire object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '422':
          description: >-
            We couldn't parse your request body, please check that your request
            body is valid JSON.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    WireAmount:
      description: The amount of the wire transaction in cents.
      type: integer
      format: int64
      example: 5000
      minimum: 1
      maximum: 990000000000
    WireReturnCode:
      type: string
      description: |-
        List of eligible return reason codes for wire transfers.
        * `AC06` - account_blocked
        * `AM09` - wrong_amount
        * `BE01` - creditor_name_mismatch
        * `FOCR` - honor_return_request
        * `FR01` - fraud_suspected
        * `MS02` - creditor_request
        * `NARR` - narrative
        * `RR02` - missing_debtor_data
        * `RR03` - missing_creditor_data
      example: AC06
      enum:
        - AC06
        - AM09
        - BE01
        - FOCR
        - FR01
        - MS02
        - NARR
        - RR02
        - RR03
    SimulateResponse:
      type: object
    APIError:
      type: object
      properties:
        code:
          type: string
          description: The error code.
        title:
          type: string
          description: The error title.
        detail:
          type: string
          description: A detailed error description.
        status:
          type: string
          description: The HTTP status code.
        invalid_parameters:
          type: array
          description: Invalid request parameters with reasons, if applicable.
          items:
            $ref: '#/components/schemas/InvalidParameterDetail'
        instance:
          type: string
          description: >-
            The object causing this specific occurrence of the error, if
            applicable.
    InvalidParameterDetail:
      type: object
      properties:
        parameter:
          type: string
          description: Which parameter is invalid.
          example: transaction_type
        reason:
          type: string
          description: Why the parameter is invalid.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````